use async_trait::async_trait;
use oauth2::url::Url;

use super::OAuthClient;

#[derive(clap::Args, Clone)]
pub struct NoopOAuthClient;
#[async_trait]
impl OAuthClient for NoopOAuthClient {
    async fn get_token(&self) -> anyhow::Result<()> {
        Ok(())
    }
    async fn authorize_url(&self) -> anyhow::Result<Url> {
        Ok(Url::parse("http://localhost:3000/auth/zitadel").unwrap())
    }

    async fn exchange(&self, _code: &str) -> anyhow::Result<String> {
        Ok(String::new())
    }
}
